# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.contacts
Enum ContactQuery.SortOrder

    java.lang.Object
      java.lang.Enum<ContactQuery.SortOrder>
          com.google.gdata.client.contacts.ContactQuery.SortOrder

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ContactQuery.SortOrder>

Enclosing class:
  ContactQuery

    public static enum ContactQuery.SortOrder

extends java.lang.Enum<ContactQuery.SortOrder>

Direction of sorting. Default value is `NONE`.

Enum Constant Summary
`ASCENDING` Ascending.
`DESCENDING` Descending.
`NONE` None.

Method Summary
`java.lang.String` `toValue()` Returns the value used in the URL.
`static ContactQuery.SortOrder` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ContactQuery.SortOrder[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final ContactQuery.SortOrder ASCENDING

  Ascending.

### DESCENDING

    public static final ContactQuery.SortOrder DESCENDING

  Descending.

### NONE

    public static final ContactQuery.SortOrder NONE

  None.

Method Detail

### values

    public static ContactQuery.SortOrder[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContactQuery.SortOrder c : ContactQuery.SortOrder.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContactQuery.SortOrder valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toValue

    public java.lang.String toValue()

  Returns the value used in the URL.

  Returns:
    value used in the URL.